clear; alarm = false; stop = false;
times = [12*31*86.4e3 31*86.4e3 86.4e3 3600 60 1]';
tstart = clock;
vandaag = tstart(1:3);
morgen = vandaag+[0 0 1];

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                    LET OP! vandaag is morgen na 0:00                    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


% set time from data file for extra precision.
% tstart   = [vandaag, 22,40,00];
twake    = [vandaag, 12,41,00]*times;
interval = [0, 0, 0, 0, 30, 0]*times;%[Y M D  h m s]
tstart = tstart*times;
tpause = max((twake-[0,0,0,2,0,0]*times)-tstart,0)
pause(tpause)
disp('start measurements');
tic
while ~alarm
    while toc<0.01*60
        if clock*times+60>=twake;
            stop = true;
            break
        end
        pause(5)
    end
    if stop
        break
    end
    tic
    alarm = Complete_script(tstart,twake,interval);
end

t = clock;
if alarm
    disp([num2str(t(4)), ':', num2str(t(5),'%02d'), ' >> alarm'])
    [y, fs] = audioread('D:\Music\Dire Straits\1 Studio Albums @320\1978 Dire Straits @320\09 Lions.mp3');
    sound(y,fs)
else
    disp([num2str(t(4)), ':', num2str(t(5),'%02d'), ' >> loud alarm'])
end